﻿using Infragistics.Controls.Editors;
using Infragistics.Themes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamCalendarSelectionStyleCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ThemeManager.SetTheme(calendar, new IgTheme());

            CalendarResourceProvider provider = new CalendarResourceProvider() { ResourceSet = CalendarResourceSet.IGTheme };

            provider.ResourceOverrides = new ResourceDictionary();

            LinearGradientBrush mouseOverBrush = App.Current.Resources["MouseOverItemBackgroundBrush"] as LinearGradientBrush;

            provider.ResourceOverrides.Add(CalendarResourceId.SelectedFocusedItemBackgroundBrush, mouseOverBrush);
            provider.ResourceOverrides.Add(CalendarResourceId.SelectedFocusedItemForegroundBrush, new SolidColorBrush(Colors.White)); 

            calendar.ResourceProvider = provider;
        }
    }
}
